%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate indicatif

Name:           rust-indicatif
Version:        0.17.8
Release:    1%{?dist}
Summary:        Progress bar and cli reporting library for Rust

License:        MIT
URL:            https://crates.io/crates/indicatif
Source0:         %{crates_source}
Patch:          indicatif-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A progress bar and cli reporting library for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+futures-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+futures-devel %{_description}

This package contains library source intended for building other packages which
use the "futures" feature of the "%{crate}" crate.

%files       -n %{name}+futures-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+improved_unicode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+improved_unicode-devel %{_description}

This package contains library source intended for building other packages which
use the "improved_unicode" feature of the "%{crate}" crate.

%files       -n %{name}+improved_unicode-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+in_memory-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+in_memory-devel %{_description}

This package contains library source intended for building other packages which
use the "in_memory" feature of the "%{crate}" crate.

%files       -n %{name}+in_memory-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rayon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rayon-devel %{_description}

This package contains library source intended for building other packages which
use the "rayon" feature of the "%{crate}" crate.

%files       -n %{name}+rayon-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "tokio" feature of the "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-segmentation-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-segmentation-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-segmentation" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-segmentation-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unicode-width-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unicode-width-devel %{_description}

This package contains library source intended for building other packages which
use the "unicode-width" feature of the "%{crate}" crate.

%files       -n %{name}+unicode-width-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+vt100-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+vt100-devel %{_description}

This package contains library source intended for building other packages which
use the "vt100" feature of the "%{crate}" crate.

%files       -n %{name}+vt100-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- -- --skip style::tests::wide_element_style
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.8-1
- initial build
